﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Interactivity;
using ValidateTest.DataModel;

namespace ValidateTest.Behavior
{
    public class Behavior : Behavior<SfDataGrid>
    {
        protected override void OnAttached()
        {
            this.AssociatedObject.Loaded += AssociatedObject_Loaded;
            this.AssociatedObject.AddNewRowInitiating += AssociatedObject_AddNewRowInitiating;
            this.AssociatedObject.RecordDeleting += AssociatedObject_RecordDeleting;
        }

    

        void AssociatedObject_RecordDeleting(object sender, RecordDeletingEventArgs args)
        {
           
        }

        void AssociatedObject_AddNewRowInitiating(object sender, AddNewRowInitiatingEventArgs args)
        {
        }

       
        private void AssociatedObject_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
        }
       
    }
}
